Skip to main content
Version: V4.0

Device Management API


Get Device List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
device_idStringBodyDevice ID
device_nameStringBodyDevice name
macStringBodyMAC
connected_timeStringBodyConnected time, UTC
first_nameStringBodyFirst name
last_nameStringBodyLast name
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
sipStringBodySIP
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724802057424,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"connected_time": "2024-01-26 04:59:20",
"first_name": "Fly",
"last_name": "Dom",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"sip": "123132312",
"device_type": "Multi-tenants Doorphone"
}
]
}

Failure Return Example

See Failure Return Example



Get Device Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
device_idStringBodyYesDevice ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
device_nameStringBodyDevice name
macStringBodyMAC
connected_timeStringBodyConnected time, UTC
first_nameStringBodyFirst name
last_nameStringBodyLast name
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
sipStringBodySIP
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control
allow_monitorBooleanBodyWhether the device allowed monitor or not?
true: allowed
false: not allowed
is_publicBooleanBodyWhether the device is public or not?
true: yes
false: no
relays[]Object<relay>BodyRelay information
security_relays[]Object<relay>BodySecurity relay information
firmware_versionStringBodyFirmware version
hardware_versionStringBodyHardware version
ip_addressStringBodyIP address
subnet_maskStringBodySubnet mask
gatewayStringBodyGateway
primary_dnsStringBodyPrimary DNS
secondary_dnsStringBodySecondary DNS
permission_buildings[]Object<permission_building>BodyPermission building information

permission_building description

Parameter NameTypeLocationDescription
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name

relay description

Parameter NameTypeLocationDescription
relay_nameStringBodyRelay name
relay_numberStringBodyRelay number
relay_idStringBodyRelay ID
enableBooleanBodyWhether the relay is enable or not?
true: enable
false: disable
access_controlObject<access_control>BodyAccess control
show_homeBooleanBodyWhether the home is showed or not?
true: showed
false: not showed
show_talkingBooleanBodyWhether the talking is showed or not?
true: showed
false: not showed
scheduleObject<schedule>BodySchedule information

access_control description

Parameter NameTypeLocationDescription
enable_pinBooleanBodyWhether the PIN is enable or not?
true: enable
false: disable
enable_rf_cardBooleanBodyWhether the RF card is enable or not?
true: enable
false: disable
enable_faceBooleanBodyWhether the face is enable or not?
true: enable
false: disable
enable_bleBooleanBodyWhether the ble is enable or not?
true: enable
false: disable
enable_nfcBooleanBodyWhether the NFC is enable or not?
true: enable
false: disable

schedule description

Parameter NameTypeLocationDescription
enableBooleanBodyWhether the schedule is enable or not?
true: enable
false: disable
access[]StringBodyAccess

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d131adc223cc4b3bedb6bd4742dedcfa5",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724802105380,
"result": {
"device_name": "test",
"mac": "C10519082089",
"connected_time": "2024-01-26 04:59:20",
"first_name": "Fly",
"last_name": "Dom",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"sip": "123132312",
"device_type": "Multi-tenants Doorphone",
"allow_monitor": true,
"is_public": true,
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2",
"enable": true,
"access_control": {
"enable_pin": true,
"enable_rf_card": true,
"enable_face": true,
"enable_ble": true,
"enable_nfc": true
},
"show_home": true,
"show_talking": true,
"schedule": {
"enable": false,
"access": []
}
}
],
"security_relays": [],
"firmware_version": "71.123.37.5",
"hardware_version": "1.0",
"ip_address": "192.168.18.171",
"subnet_mask": "255.255.255.0",
"gateway": "192.168.18.1",
"primary_dns": "",
"secondary_dns": "",
"permission_buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
]
}
}

Failure Return Example

See Failure Return Example



Update Device Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
device_idStringBodyYesDevice ID
device_nameStringBodyYesDevice name
macStringBodyYesMAC
allow_monitorBooleanBodyYesWhether the device allowed monitor or not?
true: allowed
false: not allowed
relays[]Object<relay>BodyNoRelay information
security_relays[]Object<relay>BodyNoSecurity relay information

relay description

Parameter NameTypeLocationRequiredDescription
relay_nameStringBodyYesRelay name
relay_numberStringBodyYesRelay number
relay_idStringBodyYesRelay ID
enableBooleanBodyYesWhether the relay is enable or not?
true: enable
false: disable
access_controlObject<access_control>BodyYesAccess control
show_homeBooleanBodyYesWhether the home is showed or not?
true: showed
false: not showed
show_talkingBooleanBodyYesWhether the talking is showed or not?
true: showed
false: not showed
scheduleObject<schedule>BodyYesSchedule information

access_control description

Parameter NameTypeLocationRequiredDescription
enable_pinBooleanBodyYesWhether the PIN is enable or not?
true: enable
false: disable
enable_rf_cardBooleanBodyYesWhether the RF card is enable or not?
true: enable
false: disable
enable_faceBooleanBodyYesWhether the face is enable or not?
true: enable
false: disable
enable_bleBooleanBodyYesWhether the ble is enable or not?
true: enable
false: disable
enable_nfcBooleanBodyYesWhether the NFC is enable or not?
true: enable
false: disable

schedule description

Parameter NameTypeLocationRequiredDescription
enableBooleanBodyYesWhether the schedule is enable or not?
true: enable
false: disable
access[]StringBodyYesAccess

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa22",
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"mac": "C10519082089",
"device_name": "test",
"allow_monitor": true,
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2",
"enable": true,
"access_control": {
"enable_pin": true,
"enable_rf_card": true,
"enable_face": true,
"enable_ble": true,
"enable_nfc": true
},
"show_home": true,
"show_talking": true,
"schedule": {
"enable": false,
"access": []
}
}
],
"security_relays": []
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Call History

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index
start_timeStringBodyYesStart time, UTC
finish_timeStringBodyYesFinish time, UTC

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
caller_nameStringBodyCaller name
callee_nameStringBodyCallee name
call_timeStringBodyCall time
call_durationIntegerBodyCall duration time (s)

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_call_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"caller_name": "IT83_alq_180",
"callee_name": "Jim",
"call_time": "2024-01-16 17:32:43",
"call_duration": 10
}
]
}

Failure Return Example

See Failure Return Example



Get Open Door History

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index
start_timeStringBodyYesStart time, UTC
finish_timeStringBodyYesFinish time, UTC

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
open_doorBooleanBodyWhether the door opening is successful or not?
true: success
false: failure
account_nameStringBodyAccount name
device_nameStringBodyDevice name
capture_thumbnail_urlStringBodyCapture thumbnail URL
open_door_typeStringBodyOpen door type
capture_picture_urlStringBodyCapture picture URL
open_door_timeStringBodyOpen door time
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_open_door_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"open_door": true,
"account_name": "tom",
"device_name": "R29",
"capture_thumbnail_url": "https://test.akuvox.com/r.jpg",
"open_door_type": "",
"capture_picture_url": "https://test.akuvox.com/d.jpg",
"open_door_time": "2024-01-16 15:25:45",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01"
}
]
}

Failure Return Example

See Failure Return Example



Batch Trigger Remote Open Door

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
devices[]Object<device>BodyYesDevice information

device description

Parameter NameTypeLocationRequiredDescription
macStringBodyYesMAC
relay_idStringBodyYesRelay ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "batch_trigger_remote_open_door",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"devices": [
{
"mac": "0C110508EF2E",
"relay_id": "rr31adc223cc4b3bedb6bd4742dedcfa5"
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Configure Device Autop

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
macStringBodyYesMAC
configStringBodyYesConfig

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "configure_device_autop",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": [
{
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"mac": "0C110508EF2E",
"config": "test"
}
]
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example